Skip to main content
`Ctrl`+`K`

# DMDASNESSetJacobianLocalVec

set a local Jacobian evaluation function that operates on a local vector with `DMDA`

## Synopsis

    #include "petscdmda.h"
    #include "petscsnes.h"
    PetscErrorCode DMDASNESSetJacobianLocalVec(DM dm, DMDASNESJacobianVecFn *func, PetscCtx ctx)

Logically Collective

## Input Parameters

- dm - `DM` to associate callback with

- func - local Jacobian evaluation

- ctx - optional context for local Jacobian evaluation

## See Also

SNES: Nonlinear Solvers, `DMDA`, `DMDASNESJacobianVecFn`, `DMDASNESSetJacobianLocal()`, `DMDASNESSetFunctionLocalVec()`, `DMSNESSetJacobian()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`

## Level

beginner

## Location

src/snes/utils/dmdasnes.c

## Examples

src/snes/tutorials/ex55.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages